Package org.opensaml.xacml.ctx

# Interface MissingAttributeDetailType

All Superinterfaces:
  `XACMLObject`, `XMLObject`

All Known Implementing Classes:
  `MissingAttributeDetailTypeImpl`

public interface MissingAttributeDetailType extends XACMLObject
XACML context MissingAttributeDetail schema type.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ATTRIBUTE_ID_ATTRIB_NAME`
AttributeId attribute name.
`static final String`
`DATA_TYPE_ATTRIB_NAME`
DataType attribute name.
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Local name of the element MissingAttributeDetail.
`static final QName`
`DEFAULT_ELEMENT_NAME`
QName of the element MissingAttributeDetail.
`static final String`
`ISSUER_ATTRIB_NAME`
Issuer attribute name.
`static final String`
`SCHEMA_TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`SCHEMA_TYPE_NAME`
QName of the XSI type.

## Method Summary

Modifier and Type
Method
Description
`String`
`getAttributeId()`
Gets the ID of the attribute.
`List<AttributeValueType>`
`getAttributeValues()`
Gets the missing attribute values.
`String`
`getDataType()`
Gets the data type of the attribute.
`String`
`getIssuer()`
Gets the issuer of the attribute.
`void`
`setAttributeId(String id)`
Sets the ID of the attribute.
`void`
`setDataType(String type)`
Sets the data type of the attribute.
`void`
`setIssuer(String issuer)`
Sets the issuer of the attribute.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

static final String DEFAULT_ELEMENT_LOCAL_NAME
Local name of the element MissingAttributeDetail.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

static final QName DEFAULT_ELEMENT_NAME
QName of the element MissingAttributeDetail.

### SCHEMA_TYPE_LOCAL_NAME

static final String SCHEMA_TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### SCHEMA_TYPE_NAME

static final QName SCHEMA_TYPE_NAME
QName of the XSI type.

### ATTRIBUTE_ID_ATTRIB_NAME

static final String ATTRIBUTE_ID_ATTRIB_NAME
AttributeId attribute name.

See Also:
  - Constant Field Values

### DATA_TYPE_ATTRIB_NAME

static final String DATA_TYPE_ATTRIB_NAME
DataType attribute name.

See Also:
  - Constant Field Values

### ISSUER_ATTRIB_NAME

static final String ISSUER_ATTRIB_NAME
Issuer attribute name.

See Also:
  - Constant Field Values

## Method Details

### getAttributeValues

List<AttributeValueType> getAttributeValues()
Gets the missing attribute values.

Returns:
  missing attribute values

### getAttributeId

String getAttributeId()
Gets the ID of the attribute.

Returns:
  ID of the attribute

### setAttributeId

void setAttributeId(String id)
Sets the ID of the attribute.

Parameters:
  `id` - ID of the attribute

### getDataType

String getDataType()
Gets the data type of the attribute.

Returns:
  data type of the attribute

### setDataType

void setDataType(String type)
Sets the data type of the attribute.

Parameters:
  `type` - data type of the attribute

### getIssuer

String getIssuer()
Gets the issuer of the attribute.

Returns:
  issuer of the attribute

### setIssuer

void setIssuer(String issuer)
Sets the issuer of the attribute.

Parameters:
  `issuer` - issuer of the attribute